## com.google.appengine.api.files.dev
Class Session

    java.lang.Object
      com.google.appengine.api.files.dev.Session

    public class Session

extends java.lang.Object

This class represents a session with the local File Service. A session corresponds to a single HttpRequest to the Dev App Server. The significance of a session is the following:

1. A session is the scope for a lock. That is, at most one session may own the lock on a file at a time.
2. A file is Opened relative to a session. That is the Open state of a file is defined relative to a particular session.
3. Files opened in a session are automatically closed at the end of the session, which is the end of the HttpRequest.

Constructor Summary
`Session(java.lang.String id)`

Method Summary
`java.lang.String` `getID()`
`java.util.Set<FileMetadata>` `getOpenFileSet()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Session

    public Session(java.lang.String id)

Method Detail

### getID

    public java.lang.String getID()

### getOpenFileSet

    public java.util.Set<FileMetadata> getOpenFileSet()